package basicsWidgets;
import org.eclipse.swt.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.graphics.*;

public class GroupDemo {

	public static Display groupDisplay;
	public static boolean internalCall = false;

	public static void main(String[] args) {
		internalCall = true;
		groupDisplay = new Display();
		GroupDemo gd = new GroupDemo();
		gd.runDemo(groupDisplay);
	}

	public void runDemo(Display display) {
		groupDisplay = display;
		Shell shell = new Shell(display);
		shell.setSize(300,300);
		shell.setText("Group Demo");

		Group group1 = new Group(shell, SWT.BORDER);
		group1.setBounds(30,30,200,200);
		group1.setText("Gruppe 1");

		Button button = new Button(group1, SWT.PUSH);
		button.setBounds(10,20,100,20);
		button.setText("Button in Gruppe");

		Label label = new Label(group1, SWT.NONE);
		label.setBounds(10,50,80,20);
		label.setText("Label in Gruppe!");

		Group group2 = new Group (group1, SWT.NONE);
		group2.setBounds(10,100,170,50);
		group2.setBackground(new Color(display,233,20,233));
		group2.setText("Gruppe in Gruppe");

//		Button button2 = new Button(group2, SWT.PUSH);
//		button2.setBounds(10,20,150,20);
//		button2.setText("Button in Gruppe in Gruppe");

		shell.open();

		while(!shell.isDisposed()){
		if(!display.readAndDispatch())
			display.sleep();
		}
		if (internalCall) display.dispose();
	}
}
